=== hecmw1/src/CMakeLists.txt ===
###############################################################################
# Copyright (c) 2019 FrontISTR Commons
# This software is released under the MIT License, see License.txt
###############################################################################

include(${CMAKE_CURRENT_LIST_DIR}/common/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/solver/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/hecmw/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/visualizer/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/operations/element_smoothing/CMakeLists.txt)
