=== fistr1/src/lib/user/CMakeLists.txt ===
###############################################################################
# Copyright (c) 2019 FrontISTR Commons
# This software is released under the MIT License, see License.txt
###############################################################################

list(APPEND fistr_SOURCES
  ${CMAKE_CURRENT_LIST_DIR}/uelastic.f90
  ${CMAKE_CURRENT_LIST_DIR}/uhardening.f90
  ${CMAKE_CURRENT_LIST_DIR}/uload.f90
  ${CMAKE_CURRENT_LIST_DIR}/umat.f90
  ${CMAKE_CURRENT_LIST_DIR}/uyield.f90
)
